Inputs
This section summarizes the request bodies used by the REST API.
Image and Video
| Endpoint | Request Body |
|---|---|
POST /process_image | file, return_image, regions, effects |
POST /add_stream | stream_url, name, frame_rate, index_for_search, search_index_types, regions, lines, notification, recording, effects |
POST /process_video | name, input_video_path, rotate_video, output_video_path, frame_rate, index_for_search, search_index_types, regions, lines, real_time, video_start_interval, output_all_frames, effects, recording, video_start_local_time, start_seconds, end_seconds, mode, base_image_path, plugins, validation |
POST /remove_stream | stream_url |
POST /get_video_frame | stream_url |
Search
| Endpoint | Request Body |
|---|---|
POST /archive_search | class_name, search_type, object_description, face_match_type, face_person_id, face_group_id, alert_threshold, similarity, stream_list, start_date_time, end_date_time |
POST /live_search | class_name, search_type, object_description, face_match_type, face_person_id, face_group_id, alert_threshold, similarity, stream_list, duration_seconds, notification |
POST /pause_live_search | search_id |
POST /resume_live_search | search_id |
POST /cancel_live_search | search_id |
Face Recognition
| Endpoint | Request Body |
|---|---|
POST /facerec_add_group | group_id, group_name, group_description |
POST /facerec_remove_group | group_id |
POST /facerec_add_person | person_id, person_display_name, person_groups, person_images |
POST /facerec_add_people | file_path |
POST /facerec_remove_person | person_id |
POST /facerec_search_group_names | search_text |
POST /facerec_search_people_names | search_text |
POST /facerec_person_details | person_id |
Status
| Endpoint | Request Body |
|---|---|
POST /monitor_stream | stream_url, duration_seconds |
POST /stop_monitoring | stream_url |
POST /get_stream_details | stream_url |
POST /get_last_detection_info | stream_url |
Config
| Endpoint | Request Body |
|---|---|
POST /update_config | Server-specific configuration object |